# Class: MoneroDaemonSyncInfo

## MoneroDaemonSyncInfo()

Models daemon synchronization information.

## Constructor

#### new MoneroDaemonSyncInfo()

Source:
  - src/main/js/daemon/model/MoneroDaemonSyncInfo.js, line 8

### Methods

#### getCredits()

Source:
  - src/main/js/daemon/model/MoneroDaemonSyncInfo.js, line 106

#### getHeight()

Source:
  - src/main/js/daemon/model/MoneroDaemonSyncInfo.js, line 52

#### getNextNeededPruningSeed()

Source:
  - src/main/js/daemon/model/MoneroDaemonSyncInfo.js, line 88

#### getOverview()

Source:
  - src/main/js/daemon/model/MoneroDaemonSyncInfo.js, line 97

#### getPeers()

Source:
  - src/main/js/daemon/model/MoneroDaemonSyncInfo.js, line 61

#### getSpans()

Source:
  - src/main/js/daemon/model/MoneroDaemonSyncInfo.js, line 70

#### getTargetHeight()

Source:
  - src/main/js/daemon/model/MoneroDaemonSyncInfo.js, line 79

#### getTopBlockHash()

Source:
  - src/main/js/daemon/model/MoneroDaemonSyncInfo.js, line 115

#### setCredits()

Source:
  - src/main/js/daemon/model/MoneroDaemonSyncInfo.js, line 110

#### setHeight()

Source:
  - src/main/js/daemon/model/MoneroDaemonSyncInfo.js, line 56

#### setNextNeededPruningSeed()

Source:
  - src/main/js/daemon/model/MoneroDaemonSyncInfo.js, line 92

#### setOverview()

Source:
  - src/main/js/daemon/model/MoneroDaemonSyncInfo.js, line 101

#### setPeers()

Source:
  - src/main/js/daemon/model/MoneroDaemonSyncInfo.js, line 65

#### setSpans()

Source:
  - src/main/js/daemon/model/MoneroDaemonSyncInfo.js, line 74

#### setTargetHeight()

Source:
  - src/main/js/daemon/model/MoneroDaemonSyncInfo.js, line 83

#### setTopBlockHash()

Source:
  - src/main/js/daemon/model/MoneroDaemonSyncInfo.js, line 119

#### toJson()

Source:
  - src/main/js/daemon/model/MoneroDaemonSyncInfo.js, line 36